import { defineStore } from "pinia";
import { ref } from "vue";

import type {
  DataResponse,
  DataRow,
} from "../interface/response/position/ListType";
import type { ResGroup } from "@/modules/01_metadata/interface/response/positionEmployee/Main";

import { useCounterMixin } from "@/stores/mixin";
import { useMainOptionDataStore } from "@/modules/01_metadata/stores/main";
const storeOption = useMainOptionDataStore();

const { date2Thai } = useCounterMixin();

export const usePositionEmployeeDataStore = defineStore(
  "positionEmployeeStore",
  () => {
    const pathLocation = ref<string>("list_position");

    return {
      pathLocation,
    };
  }
);
